function [] = runPreviewEVO(musArr44100, cntArr525evo, clickDBtimeMs, startClickNr, endClickNr)
    
    % Plotter i fig 2
    
    
    
    fig2; setUp2dView('backCol',[0.2 0.2 0.2]);
    xDiv = 1.5;
    yDiv = 1.5;
    noX = 4;
    noY = 4;
    for y = 0 : noY
        line([0 (noX)*xDiv], [y*yDiv y*yDiv], 'color', [1 0.8 0.8]);
    end
    for x = 0 : noX
        line([x*xDiv x*xDiv], [0 (noY)*yDiv], 'color', [1 0.8 0.8]);
    end
    
    %     [x,y] = ginput2(1)
    %     floor(x/xDiv)+1
    %     floor(y/yDiv)+1
    
    
    
    fs = 44100;
    startSampW = floor(fs*clickDBtimeMs(startClickNr) / 1000);
    endSampW = floor(fs*clickDBtimeMs(endClickNr) / 1000);
    startSampW = max(1, startSampW);
    endSampW = min(size(musArr44100, 1), endSampW);
    
    
    
    fs = 525;
    startSamp = floor(fs*clickDBtimeMs(startClickNr) / 1000);
    endSamp = floor(fs*clickDBtimeMs(endClickNr) / 1000);
    startSamp = max(1, startSamp);
    endSamp = min(size(musArr44100, 1), endSamp);
    
    framePerSec = fs/30;
    sampDiffTime = framePerSec/fs;
    cl = clock;
    cl = cl(4)*60*60 + cl(5)*60 + cl(6);
    
    [F2, V2] = agent2(0, 0);
    V = [];
    F = [];
    for ind = 1 : 16
        [F, V] = addPoly(F, V, F2, V2);
    end
    V = V + [xDiv/2 0.2 0];
    h = plotPoly(F, V, 'dark', 'edgeOff', 'col', [1 0.5 0.5]);
    
    cl = clock;
    cl = cl(4)*60*60 + cl(5)*60 + cl(6);
    
    
    gjenta = 1;
    while gjenta
        sound(musArr44100(startSampW:endSampW), 44100);
        
        for i = startSamp : framePerSec : endSamp
            % Pause
            del = 0;
            cl_old = cl;
            while del < sampDiffTime
                cl = clock;
                cl = cl(4)*60*60 + cl(5)*60 + cl(6);
                del = cl - cl_old;
            end
            
            V = [];
            F = [];
            indi = 0;
            for x = 1 : 4
                for y = 1 : 4
                    indi = indi + 1;
                    
                    [F2, V2] = agent2(cntArr525evo(floor(i), 1, indi), cntArr525evo(floor(i), 2, indi));
                    V2 = V2 + [xDiv/2+xDiv*(x-1) 0.2+yDiv*(y-1) 0];
                    [F, V] = addPoly(F, V, F2, V2);
                    
                end
            end
            
            set(h, 'Vertices', V);
            axis([0 6 0 6 -1 1]);
            view(0,90);
            drawnow;
        end
        
        pause(1);
        [x, y, b] = ginput2(1);
        xi = floor(x/xDiv) + 1
        yi = floor(y/yDiv)+1 
        iVinner = (xi-1)*4 + yi
        
        if b == 101 % end
            gjenta = 0;
            
        end
    end
    
end